package com.ruoyi.abuwx.domain.exam;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 考试试题（固定试卷有效）对象 exm_exam_question
 * 
 * @author ruoyi
 * @date 2024-05-17
 */
public class ExmExamQuestion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 章节名称 */
    @Excel(name = "章节名称")
    private String chapterName;

    /** 章节描述 */
    @Excel(name = "章节描述")
    private String chapterTxt;

    /** 类型 （1：章节；2：试题） */
    @Excel(name = "类型 ", readConverterExp = "1=：章节；2：试题")
    private Long type;

    /** 分数 */
    @Excel(name = "分数")
    private BigDecimal score;

    /** 子分数 */
    @Excel(name = "子分数")
    private String scores;

    /** 阅卷选项（2：答案无顺序；3：不分大小写；) */
    @Excel(name = "阅卷选项", readConverterExp = "阅卷选项（2：答案无顺序；3：不分大小写；)")
    private String markOptions;

    /** 考试ID */
    @Excel(name = "考试ID")
    private Long examId;

    /** 试题ID */
    @Excel(name = "试题ID")
    private Long questionId;

    /** 排序 */
    @Excel(name = "排序")
    private Long no;

    /** 选项排序 */
    @Excel(name = "选项排序")
    private String optionsNo;

    /** 修改用户ID */
    @Excel(name = "修改用户ID")
    private Long updateUserId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setChapterName(String chapterName) 
    {
        this.chapterName = chapterName;
    }

    public String getChapterName() 
    {
        return chapterName;
    }
    public void setChapterTxt(String chapterTxt) 
    {
        this.chapterTxt = chapterTxt;
    }

    public String getChapterTxt() 
    {
        return chapterTxt;
    }
    public void setType(Long type) 
    {
        this.type = type;
    }

    public Long getType() 
    {
        return type;
    }
    public void setScore(BigDecimal score) 
    {
        this.score = score;
    }

    public BigDecimal getScore() 
    {
        return score;
    }
    public void setScores(String scores) 
    {
        this.scores = scores;
    }

    public String getScores() 
    {
        return scores;
    }
    public void setMarkOptions(String markOptions) 
    {
        this.markOptions = markOptions;
    }

    public String getMarkOptions() 
    {
        return markOptions;
    }
    public void setExamId(Long examId) 
    {
        this.examId = examId;
    }

    public Long getExamId() 
    {
        return examId;
    }
    public void setQuestionId(Long questionId) 
    {
        this.questionId = questionId;
    }

    public Long getQuestionId() 
    {
        return questionId;
    }
    public void setNo(Long no) 
    {
        this.no = no;
    }

    public Long getNo() 
    {
        return no;
    }
    public void setOptionsNo(String optionsNo) 
    {
        this.optionsNo = optionsNo;
    }

    public String getOptionsNo() 
    {
        return optionsNo;
    }
    public void setUpdateUserId(Long updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("chapterName", getChapterName())
            .append("chapterTxt", getChapterTxt())
            .append("type", getType())
            .append("score", getScore())
            .append("scores", getScores())
            .append("markOptions", getMarkOptions())
            .append("examId", getExamId())
            .append("questionId", getQuestionId())
            .append("no", getNo())
            .append("optionsNo", getOptionsNo())
            .append("updateUserId", getUpdateUserId())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
